Skip to main content
POST
/
v1
/
video
/
generations
Generate video
curl --request POST \
  --url https://api.siray.ai/v1/video/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "duration": 4,
  "image": "example_value",
  "model": "openai/sora-2-i2v",
  "prompt": "example_value",
  "size": "720x1280"
}
'
import requests

url = "https://api.siray.ai/v1/video/generations"

payload = {
"duration": 4,
"image": "example_value",
"model": "openai/sora-2-i2v",
"prompt": "example_value",
"size": "720x1280"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
duration: 4,
image: 'example_value',
model: 'openai/sora-2-i2v',
prompt: 'example_value',
size: '720x1280'
})
};

fetch('https://api.siray.ai/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "success",
  "data": {
    "task_id": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using API key

Body

application/json

Request payload

Request format for video generation models

duration
enum<integer>
required

Fixed duration

Available options:
4,
8,
12
image
string
required

Input image for generation, it can be data URL or image URL

model
enum<string>
required

Model name to use for the request

Available options:
openai/sora-2-i2v
prompt
string
required

Text prompt for generation

size
enum<string>
required

Fixed size

Available options:
720x1280,
1280x720

Response

200 - application/json

Successful response

Standard async task creation response

code
string
required

Status code returned by the service

Example:

"success"

data
object
required

Response payload containing task details

message
string
required

Additional information about the request result